# Class ScriptContext

java.lang.Object
org.jmol.script.ScriptContext

public class ScriptContext extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`contextPath`
`String`
`errorMessage`
`String`
`errorType`
`boolean`
`executionPaused`
`boolean`
`executionStepping`
`String`
`functionName`
`int`
`iCommandError`
`int`
`id`
`boolean`
`isComplete`
`boolean`
`isEditor`
`boolean`
`isEditorScript`
`boolean`
`isJSThread`
`int[][]`
`lineIndices`
`boolean`
`mustResumeEval`
`SB`
`outputBuffer`
`ScriptContext`
`parentContext`
`int`
`pc`
`int`
`pc0`
`int`
`pcEnd`
`Map<String, ScriptFunction>`
`privateFuncs`
`String`
`script`
`String`
`scriptFileName`
`T[]`
`statement`
`Map<String,SV>`
`vars`
`String`
`why`

## Method Summary

Modifier and Type
Method
Description
`Map<String,SV>`
`getFullMap()`
`T[]`
`getToken(int i)`
`int`
`getTokenCount()`
`SV`
`getVariable(String var)`
Context variables go up the stack until a function is found.
`void`
`setMustResume()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### contextPath

public String contextPath

### vars

public Map<String,SV> vars

### errorMessage

public String errorMessage

### errorType

public String errorType

### executionPaused

public boolean executionPaused

### executionStepping

public boolean executionStepping

### isEditor

public boolean isEditor

### isEditorScript

public boolean isEditorScript

### functionName

public String functionName

### iCommandError

public int iCommandError

### id

public int id

### isComplete

public boolean isComplete

### isJSThread

public boolean isJSThread

### lineIndices

public int[][] lineIndices

### mustResumeEval

public boolean mustResumeEval

### outputBuffer

public SB outputBuffer

### parentContext

public ScriptContext parentContext

### pc

public int pc

### pc0

public int pc0

### pcEnd

public int pcEnd

### script

public String script

### scriptFileName

public String scriptFileName

### statement

public T[] statement

### why

public String why

### privateFuncs

public Map<String, ScriptFunction> privateFuncs

## Method Details

### setMustResume

public void setMustResume()

### getVariable

public SV getVariable(String var)
Context variables go up the stack until a function is found. That is considered to be the highest level.

Parameters:
  `var` -
Returns:
  context variables

### getFullMap

public Map<String,SV> getFullMap()

### getTokenCount

public int getTokenCount()

### getToken

public T[] getToken(int i)